<div class="component-content">
    <h1>Documentation</h1>
    <div >
        <br>
        <h3>toggle()</h3>
        <div class="card text-center" 
            containerContentFocus 
            #contentFocusMeToggle="content-focus" 
            (click)="contentFocusMeToggle.toggle()">
         click Me for toggle function
         <a [routerLink]="['/blog-of-me']" routerLinkActive="router-link-active" > next menu </a>
        </div>
        <git-code src="https://gitlab.com/snippets/1893984.js"></git-code>
    </div>

    <div >
        <br>
        <h3>un/focus()</h3>
        <div class="card" 
            containerContentFocus 
            #contentFocusMeFocus="content-focus" >
            <p class="text-center">click btn for call function</p>
            <div class="btn green" (click)="contentFocusMeFocus.focus()"> focus</div>
            <div class="btn gray" (click)="contentFocusMeFocus.unFocus()"> unFocus</div>
        </div>
        <git-code src="https://gitlab.com/snippets/1897360.js"></git-code>
    </div>
    
    <div >
        <br>
        <h3>use *ngFor</h3>
        <div *ngFor="let item of items"
         class="card" 
            containerContentFocus 
            #contentFocusMeFocus="content-focus" >
            <p class="text-center">click {{item}} btn for call function</p>
            <div class="btn green" (click)="contentFocusMeFocus.focus()"> focus</div>
            <div class="btn gray" (click)="contentFocusMeFocus.unFocus()"> unFocus</div>
        </div>
        <git-code src="https://gitlab.com/snippets/1897363.js"></git-code>
        <git-code src="https://gitlab.com/snippets/1897370.js"></git-code>
        
    </div>
    
    <div class="display-inline-grid">
        <br>
        <h3>Custom</h3>
        <div class="card card-w-full" 
        containerContentFocus 
        [color]="'#ecb6b1'"
        #contentFocusMeCustom="content-focus" >
        <br>
            <div class="close-icon" [ngClass]="{'active': contentFocusMeCustom.isFocus}" (click)="contentFocusMeCustom.unFocus()" ></div>
            <div class="content-costom">
                <div class="cover-profile"></div>
                <input type="text" class="text" placeholder="Enter your test word."
                [(ngModel)]="textCustomValue"
                (click)="contentFocusMeCustom.focus()" #msgInput>
            </div>
            <br>
            <div class="btn green" (click)="postMsg(msgInput.value)"> Post </div>
        </div>

        <div *ngFor="let item of constomItems.slice().reverse()"
         class="card card-w-full">
            <div class="close-icon"></div>
            <div class="content-costom">
                <div class="cover-profile"></div>
                <span class="text text-view">{{item}}</span>
            </div>
        </div>

        <git-code src="https://gitlab.com/snippets/1897376.js"></git-code>
        <git-code src="https://gitlab.com/snippets/1897377.js"></git-code>
    </div>

    <div >
        <br>
        <!-- <h3>Table *ngFor</h3>

        <table >
            <tr>
                <th>index</th>
                <th>name</th>
                <th>surname</th>
                <th>email</th>
                <th></th>
            </tr>
            <tr style="height: 100px; background-color: bisque;" 
            *ngFor="let item of itemTable" 
            containerContentFocus 
            #contentFocusMeTable="content-focus"
            (click)="contentFocusMeTable.toggle()">
                <td>{{item.index}}</td>
                <td>{{item.name}}</td>
                <td>{{item.surname}}</td>
                <td>{{item.email}}</td>
                <td>{{item.bool}}</td>
            </tr>
        </table> -->
    
        <!-- <div *ngFor="let item of items"
         class="card" 
            containerContentFocus 
            #contentFocusMeFocus="content-focus" >
         <p class="text-center">click {{item}} btn for call function</p>
         <div class="btn green" (click)="contentFocusMeFocus.focus()"> focus</div>
         <div class="btn gray" (click)="contentFocusMeFocus.unFocus()"> unFocus</div>
        </div> -->
    </div>


</div>